# GimpUi.ProcedureDialog.prototype.set_sensitive_if_in

    function set_sensitive_if_in(property: String, config: GObject.Object, config_property: String, values: Gimp.ValueArray, in_values: Boolean): void {
        // Gjs wrapper for gimp_procedure_dialog_set_sensitive_if_in()
    }

Sets sensitivity of the widget associated to property in dialog if the value of config_property in config is equal to one of values.

If config is null, then the configuration object of dialog is used.

If in_values is FALSE, then the widget is set sensitive if the value of config_property is **not** in values.

property

  name of a property of the Gimp.Procedure dialog has been created for.

config

  an optional config object (if null, property's config will be used).

config_property

  name of a property of config.

values

  an array of GValues which could be values of config_property.

in_values

  whether property should be sensitive when config_property is one of values, or the opposite.